## sdl12-compat 1.2.69~git20251027~ca4b3f7

=== CMakeLists.txt ===
# NOTE:  If you installed SDL2 at an unusual place and FindSDL2 fails,
#        you can define SDL2_INCLUDE_DIR on the cmdline.  For example:
#        cmake -DSDL2_INCLUDE_DIR=/opt/SDL2/include/SDL2 [other stuff]

cmake_minimum_required(VERSION 3.0.0...4.1)
project(sdl12_compat VERSION 1.2.69 LANGUAGES C)

option(SDL12TESTS "Enable to build SDL-1.2 test programs" ON)
option(SDL12DEVEL "Enable installing SDL-1.2 development headers" ON)
option(STATICDEVEL "Enable installing static link library" OFF)

if(STATICDEVEL AND NOT (CMAKE_SYSTEM_NAME MATCHES "Linux"))
  message(FATAL_ERROR "Static builds are only supported on Linux.")
endif()

list(APPEND CMAKE_MODULE_PATH
  "${CMAKE_CURRENT_LIST_DIR}/cmake/modules"
)

include(CheckCSourceCompiles)
include(CheckIncludeFile)
include(CheckCCompilerFlag)
include(GNUInstallDirs)

if(APPLE)
  set(OSX_SRCS "src/SDL12_compat_objc.m")
  set_source_files_properties(${OSX_SRCS} PROPERTIES LANGUAGE C)
  if(NOT CMAKE_VERSION VERSION_LESS "3.16")
      enable_language(OBJC)
      set_source_files_properties(${OSX_SRCS} PROPERTIES LANGUAGE OBJC)
  endif()
  # compatibility version set to match SDL-1.2 autotools build
  # Xcode project file uses 1.0.0, but it's more compatible to use the
  # higher version.
  set(DYLIB_COMPAT_VERSION 12.0.0 CACHE STRING "library compatibility version")
  set(DYLIB_CURRENT_VERSION 12.69.0 CACHE STRING "library current version")
  include_directories("/opt/X11/include")  # hack.
  if(CMAKE_VERSION VERSION_LESS 3.9)
  else()
    cmake_policy(SET CMP0068 NEW)  # on macOS, don't let RPATH affect install_name.
  endif()
endif()

if(WIN32)
  set(WIN32_SRCS "src/version.rc")
endif()

set(SDL12COMPAT_SRCS
  src/SDL12_compat.c
  ${OSX_SRCS}
  ${WIN32_SRCS}
)
add_library(SDL SHARED ${SDL12COMPAT_SRCS})
add_library(SDL::SDL-shared ALIAS SDL)
add_library(SDL::SDL ALIAS SDL)

find_package(SDL2 CONFIG)
find_package(SDL2 MODULE)
if(NOT SDL2_INCLUDE_DIRS)
  message(FATAL_ERROR "Could not find SDL2 headers")
endif()
target_include_directories(SDL PRIVATE ${SDL2_INCLUDE_DIRS})

set(EXTRA_CFLAGS )
if (CMAKE_C_COMPILER_ID MATCHES "Clang|GNU")
  set(EXTRA_CFLAGS "${EXTRA_CFLAGS} -Wall")
  check_c_compiler_flag(-Wdeclaration-after-statement HAVE_WDECLARATION_AFTER_STATEMENT)
  if(HAVE_WDECLARATION_AFTER_STATEMENT)
    set(EXTRA_CFLAGS "${EXTRA_CFLAGS} -Wdeclaration-after-statement")
  endif()
  check_c_compiler_flag(-Werror=declaration-after-statement HAVE_WERROR_DECLARATION_AFTER_STATEMENT)
  if(HAVE_WERROR_DECLARATION_AFTER_STATEMENT)
    set(EXTRA_CFLAGS "${EXTRA_CFLAGS} -Werror=declaration-after-statement")
  endif()
endif()
# just in case:
check_include_file("immintrin.h" HAVE_IMMINTRIN_H)
if(NOT HAVE_IMMINTRIN_H)
  set(EXTRA_CFLAGS "${EXTRA_CFLAGS} -DSDL_DISABLE_IMMINTRIN_H")
endif()
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${EXTRA_CFLAGS}")
string(STRIP "${CMAKE_C_FLAGS}" CMAKE_C_FLAGS)

if(UNIX AND NOT APPLE)
    set_target_properties(SDL PROPERTIES COMPILE_DEFINITIONS "_REENTRANT")
    target_link_libraries(SDL PRIVATE ${CMAKE_DL_LIBS})
endif()
if(APPLE)
    set_target_properties(SDL PROPERTIES COMPILE_DEFINITIONS "_THREAD_SAFE")
    set_target_properties(SDL PROPERTIES LINK_FLAGS
            "-Wl,-compatibility_version,${DYLIB_COMPAT_VERSION} -Wl,-current_version,${DYLIB_CURRENT_VERSION}")
    target_link_libraries(SDL PRIVATE "-framework AppKit")
    set_target_properties(SDL PROPERTIES
        OUTPUT_NAME "SDL-1.2.0"
    )
elseif(UNIX AND NOT ANDROID)
    set_target_properties(SDL PROPERTIES
        VERSION "${PROJECT_VERSION}"
        SOVERSION "0"
        OUTPUT_NAME "SDL-1.2")
elseif(WIN32)
    # avoid DLL having 'lib' prefix with MinGW
    set(CMAKE_SHARED_LIBRARY_PREFIX "")
    set_target_properties(SDL PROPERTIES COMPILE_DEFINITIONS "DLL_EXPORT")
    set_target_properties(SDL PROPERTIES
        VERSION "${PROJECT_VERSION}"
        SOVERSION "0"
        OUTPUT_NAME "SDL")
elseif(OS2)
    set_target_properties(SDL PROPERTIES COMPILE_DEFINITIONS "BUILD_SDL") # for DECLSPEC
    set_target_properties(SDL PROPERTIES
        VERSION "${PROJECT_VERSION}"
        SOVERSION "0"
        OUTPUT_NAME "SDL12")
else()
    set_target_properties(SDL PROPERTIES
        VERSION "${PROJECT_VERSION}"
        SOVERSION "0"
        OUTPUT_NAME "SDL")
endif()

if(MINGW)
    set_target_properties(SDL PROPERTIES LINK_FLAGS "-nostdlib")
    target_link_libraries(SDL PRIVATE "-static-libgcc -lgcc") # libgcc is needed for 32 bit (x86) builds
endif()
if(MSVC)
    # Don't try to link with the default set of libraries.
    set(MSVC_FLAGS "/GS-")
    check_c_source_compiles("int main(void) {
#ifndef _M_IX86
#error not x86
#endif
return 0; }" IS_X86)
    if(IS_X86)  # don't emit SSE2 in x86 builds
      set(MSVC_FLAGS "${MSVC_FLAGS} /arch:SSE")
    endif()
    set_target_properties(SDL PROPERTIES COMPILE_FLAGS ${MSVC_FLAGS})
    set_target_properties(SDL PROPERTIES LINK_FLAGS "/NODEFAULTLIB")
    # Make sure /RTC1 is disabled: (from SDL2 CMake)
    set_property(TARGET SDL PROPERTY MSVC_RUNTIME_CHECKS "")
    foreach(flag_var
      CMAKE_C_FLAGS CMAKE_C_FLAGS_DEBUG CMAKE_C_FLAGS_RELEASE
      CMAKE_C_FLAGS_MINSIZEREL CMAKE_C_FLAGS_RELWITHDEBINFO)
      string(REGEX REPLACE "/RTC(su|[1su])" "" ${flag_var} "${${flag_var}}")
    endforeach(flag_var)
endif()

# SDLmain library...
if(APPLE)
    add_library(SDLmain STATIC src/SDLmain/macosx/SDLMain.m)
    set_source_files_properties(src/SDLmain/macosx/SDLMain.m PROPERTIES LANGUAGE C)
    if(NOT CMAKE_VERSION VERSION_LESS "3.16")
        set_source_files_properties("src/SDLmain/macosx/SDLMain.m" PROPERTIES LANGUAGE OBJC)
    endif()
elseif(WIN32)
    add_library(SDLmain STATIC src/SDLmain/win32/SDL_win32_main.c)
    set_target_properties(SDLmain PROPERTIES COMPILE_DEFINITIONS "_CRT_SECURE_NO_WARNINGS;_CRT_SECURE_NO_DEPRECATE;_CRT_NONSTDC_NO_DEPRECATE")  # !!! FIXME: don't use C runtime? We fixed this in SDL2.
else()
    add_library(SDLmain STATIC src/SDLmain/dummy/SDL_dummy_main.c)
endif()
add_library(SDL::SDLmain ALIAS SDLmain)
target_include_directories(SDLmain PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include/SDL>")
target_include_directories(SDLmain PUBLIC "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}/SDL>")
if(MINGW OR CYGWIN)
    if(CMAKE_SIZEOF_VOID_P EQUAL 4)
        target_link_libraries(SDLmain PUBLIC "$<$<STREQUAL:$<TARGET_PROPERTY:TYPE>,EXECUTABLE>:-Wl,--undefined=_WinMain@16>")
    else()
        target_link_libraries(SDLmain PUBLIC "$<$<STREQUAL:$<TARGET_PROPERTY:TYPE>,EXECUTABLE>:-Wl,--undefined=WinMain>")
    endif()
endif()

if(SDL12TESTS)
    add_subdirectory(test)
endif()

install(TARGETS SDL SDLmain
  LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
  ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
  RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
)

if(SDL12DEVEL)
  install(DIRECTORY include/ DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})

  if(NOT MSVC)
    if(WIN32)
      set(SDL_CFLAGS "")
      set(SDL_RLD_FLAGS "")
      set(SDL_LIBS "-lmingw32 -lSDLmain -lSDL -mwindows")
      set(SDL_STATIC_LIBS "")
    elseif(APPLE)
      set(SDL_CFLAGS "-D_THREAD_SAFE")
      set(SDL_LIBS "-lSDLmain -lSDL -Wl,-framework,Cocoa")
      set(SDL_STATIC_LIBS "")
      set(SDL_RLD_FLAGS "")  # !!! FIXME: this forces rpath, which we might want?
    else() # unix
      set(SDL_CFLAGS "-D_GNU_SOURCE=1 -D_REENTRANT")
      set(SDL_RLD_FLAGS "")  # !!! FIXME: this forces rpath, which we might want?
      set(SDL_LIBS "-lSDL")
      set(SDL_STATIC_LIBS "")
      foreach(lib ${CMAKE_DL_LIBS})
          set(SDL_STATIC_LIBS "-l${lib}")
      endforeach()
      if(NOT STATICDEVEL)
        set(SDL_STATIC_LIBS "")
      endif()
    endif()

    # !!! FIXME: do we _want_ static builds?
    if(STATICDEVEL)
      set(ENABLE_STATIC_TRUE "")
      set(ENABLE_STATIC_FALSE "#")
    else()
      set(ENABLE_STATIC_TRUE "#")
      set(ENABLE_STATIC_FALSE "")
    endif()
    set(ENABLE_SHARED_TRUE "")
    set(ENABLE_SHARED_FALSE "#")

    configure_file(sdl12_compat.pc.in sdl12_compat.pc @ONLY)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/sdl12_compat.pc
      DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig
    )

    configure_file("${CMAKE_CURRENT_SOURCE_DIR}/sdl-config.in" "${CMAKE_CURRENT_BINARY_DIR}/sdl-config" @ONLY)
    install(PROGRAMS "${CMAKE_CURRENT_BINARY_DIR}/sdl-config" DESTINATION bin)

    # uninstall
    if(NOT TARGET uninstall)
      configure_file(cmake/cmake_uninstall.cmake.in "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake" IMMEDIATE @ONLY)
      add_custom_target(uninstall
        COMMAND ${CMAKE_COMMAND} -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")
    endif()
  endif()

  set(SOEXT ${CMAKE_SHARED_LIBRARY_SUFFIX})
  get_target_property(SONAME SDL OUTPUT_NAME)
  if(UNIX AND NOT ANDROID)
    install(CODE "
      execute_process(COMMAND ${CMAKE_COMMAND} -E create_symlink
        \"lib${SONAME}${SOPOSTFIX}${SOEXT}\" \"libSDL${SOPOSTFIX}${SOEXT}\"
        WORKING_DIRECTORY \"${CMAKE_CURRENT_BINARY_DIR}\")")
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/libSDL${SOPOSTFIX}${SOEXT} DESTINATION "${CMAKE_INSTALL_LIBDIR}")
  endif()

  install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/sdl.m4" DESTINATION "${CMAKE_INSTALL_FULL_DATAROOTDIR}/aclocal")
endif()

if(STATICDEVEL AND SDL12DEVEL)
  add_library(SDL-static STATIC ${SDL12COMPAT_SRCS})
  add_library(SDL::SDL-static ALIAS SDL-static)
  target_include_directories(SDL-static PRIVATE ${SDL2_INCLUDE_DIRS})
  set_target_properties(SDL-static PROPERTIES COMPILE_DEFINITIONS "_REENTRANT")
  target_link_libraries(SDL-static PRIVATE ${CMAKE_DL_LIBS})
  set_target_properties(SDL-static PROPERTIES
          VERSION "${PROJECT_VERSION}"
        OUTPUT_NAME "SDL")

  install(TARGETS SDL-static
    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
  )
endif()

=== test/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.0...4.0)
project(sdl12_compat_tests C)

if(NOT TARGET SDL::SDL)
    find_package(SDL REQUIRED)
endif()
if(NOT TARGET SDL::SDLmain)
    add_library(SDL::SDLmain STATIC IMPORTED)
    if(SDLMAIN_LIBRARY)
        message("SDLMAIN_LIBRARY=${SDLMAIN_LIBRARY}")
        set_property(TARGET SDL::SDLmain PROPERTY IMPORTED_LOCATION "${SDLMAIN_LIBRARY}")
    endif()
    if(MINGW OR CYGWIN)
        if(CMAKE_SIZEOF_VOID_P EQUAL 4)
            set_property(TARGET SDL::SDLmain APPEND INTERFACE_LINK_LIBRARIES "$<$<STREQUAL:$<TARGET_PROPERTY:TYPE>,EXECUTABLE>:-Wl,--undefined=_WinMain@16>")
        else()
            set_property(TARGET SDL::SDLmain APPEND INTERFACE_LINK_LIBRARIES "$<$<STREQUAL:$<TARGET_PROPERTY:TYPE>,EXECUTABLE>:-Wl,--undefined=WinMain>")
        endif()
    endif()
endif()

if(NOT (WIN32 OR APPLE OR CYGWIN OR HAIKU OR BEOS))
    find_library(MATH_LIBRARY m)
endif()

find_package(OpenGL COMPONENTS OpenGL)
if(OPENGL_FOUND)
    set(HAVE_OPENGL_DEFINE "HAVE_OPENGL")
    if(WIN32)
        set(OPENGL_gl_LIBRARY "opengl32")
        set(OPENGL_opengl_LIBRARY "opengl32")
    elseif(APPLE)
        set(OPENGL_gl_LIBRARY "-Wl,-framework,OpenGL")
        set(OPENGL_opengl_LIBRARY "-Wl,-framework,OpenGL")
    endif()
endif()

macro(test_program _NAME _SRCS)
    add_executable(${_NAME} ${_SRCS})
    target_include_directories(${_NAME} PRIVATE "include/SDL")
    target_link_libraries(${_NAME} PRIVATE SDL::SDLmain SDL::SDL)
    # Turn off MSVC's aggressive C runtime warnings for the old test programs.
    if(MSVC)
        set_target_properties(${_NAME} PROPERTIES COMPILE_DEFINITIONS "${HAVE_OPENGL_DEFINE};_CRT_SECURE_NO_WARNINGS;_CRT_SECURE_NO_DEPRECATE;_CRT_NONSTDC_NO_DEPRECATE")
    elseif(APPLE)
        set_target_properties(${_NAME} PROPERTIES COMPILE_DEFINITIONS "${HAVE_OPENGL_DEFINE};GL_SILENCE_DEPRECATION=1")
        target_link_libraries(${_NAME} PRIVATE "-Wl,-framework,Cocoa")
    else()
        set_target_properties(${_NAME} PROPERTIES COMPILE_DEFINITIONS "${HAVE_OPENGL_DEFINE}")
    endif()
    if(MATH_LIBRARY)
        target_link_libraries(${_NAME} PRIVATE ${MATH_LIBRARY})
    endif()
endmacro()

test_program(checkkeys "checkkeys.c")
test_program(graywin "graywin.c")
test_program(loopwave "loopwave.c")
test_program(testalpha "testalpha.c")
test_program(testbitmap "testbitmap.c")
test_program(testblitspeed "testblitspeed.c")
test_program(testcdrom "testcdrom.c")
test_program(testcursor "testcursor.c")
test_program(testerror "testerror.c")
test_program(testfile "testfile.c")
test_program(testgamma "testgamma.c")
test_program(testthread "testthread.c")
test_program(testiconv "testiconv.c")
test_program(testjoystick "testjoystick.c")
test_program(testkeys "testkeys.c")
test_program(testloadso "testloadso.c")
test_program(testlock "testlock.c")
test_program(testoverlay "testoverlay.c")
test_program(testoverlay2 "testoverlay2.c")
test_program(testpalette "testpalette.c")
test_program(testplatform "testplatform.c")
test_program(testsem "testsem.c")
test_program(testsprite "testsprite.c")
test_program(testtimer "testtimer.c")
test_program(testver "testver.c")
test_program(testvidinfo "testvidinfo.c")
test_program(testwin "testwin.c")
test_program(testwm "testwm.c")
test_program(threadwin "threadwin.c")
test_program(torturethread "torturethread.c")
test_program(testdyngl "testdyngl.c")
test_program(testgl "testgl.c")
if(OPENGL_FOUND)
    if(CMAKE_VERSION VERSION_LESS 3.10 OR NOT OPENGL_opengl_LIBRARY)
        target_link_libraries(testgl PRIVATE ${OPENGL_gl_LIBRARY})
    else()
        target_link_libraries(testgl PRIVATE ${OPENGL_opengl_LIBRARY})
    endif()
endif()

foreach(fname "icon.bmp" "moose.dat" "picture.xbm" "sail.bmp" "sample.bmp" "sample.wav" "utf8.txt")
    file(COPY "${CMAKE_CURRENT_SOURCE_DIR}/${fname}" DESTINATION "${CMAKE_CURRENT_BINARY_DIR}")
endforeach(fname)

=== debian/changelog ===
sdl12-compat (1.2.69~git20251027~ca4b3f7-1) experimental; urgency=medium

  * New upstream snapshot, commit release-1.2.68-69-gca4b3f7
  * d/libsdl1.2-compat-tests.install: Update test paths
  * d/control, d/rules: Use chrpath to remove unwanted RPATHs from tests
  * d/source/lintian-overrides: Update

 -- Simon McVittie <smcv@debian.org>  Mon, 27 Oct 2025 20:47:08 +0000

=== debian/control ===
Source: sdl12-compat
X-Style: black
Priority: optional
Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
Uploaders:
 Simon McVittie <smcv@debian.org>,
 Stephen Kitt <skitt@debian.org>,
 Antoine Le Gonidec <vv221@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 chrpath,
 cmake,
 libglu1-mesa-dev,
 libsdl2-dev,
 libx11-dev,
 ninja-build,
Standards-Version: 4.7.2
Section: libs
Homepage: https://github.com/libsdl-org/sdl12-compat
Vcs-Git: https://salsa.debian.org/sdl-team/sdl12-compat.git -b debian/snapshots
Vcs-Browser: https://salsa.debian.org/sdl-team/sdl12-compat

Package: libsdl1.2-compat
Section: oldlibs
Architecture: any
Multi-Arch: same
Depends:
 libsdl1.2debian (>= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Description: SDL 1.2 binary compatibility library - transitional package
 sdl12-compat provides a binary compatible API for programs built
 against SDL 1.2, but using SDL 2.0.
 .
 If you are writing new code, please target SDL 2.0 directly instead
 of using this layer.
 .
 This transitional package provides symbolic links to the library in a private
 location, matching the way it was used before it was Debian's default
 implementation of the SDL 1.2 ABI.

Package: libsdl1.2-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libgl-dev,
 libglu1-mesa-dev,
 libsdl1.2debian (= ${binary:Version}),
 libsdl2-dev,
 pkgconf,
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Provides:
 libsdl-dev (= ${binary:Version}),
 libsdl1.2-compat-dev (= ${binary:Version}),
Breaks:
 libsdl-dev (<< 1.2.64-4+exp1~),
 libsdl1.2-compat-dev (<< 1.2.64-4+exp1~),
Replaces:
 libsdl-dev (<< 1.2.64-4+exp1~),
 libsdl1.2-compat-dev (<< 1.2.64-4+exp1~),
Description: SDL 1.2 binary compatibility library - development files
 sdl12-compat provides a binary compatible API for programs built
 against SDL 1.2, but using SDL 2.0.
 .
 If you are writing new code, please target SDL 2.0 directly instead
 of using this layer.
 .
 This package provides development files.

Package: libsdl1.2debian
Architecture: any
Multi-Arch: same
Depends:
 libsdl2-2.0-0,
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Provides:
 libsdl-1.2-0 (= ${binary:Version}),
 libsdl1.2-compat-shim (= ${binary:Version}),
Breaks:
 libsdl1.2-compat (<< 1.2.64-4+exp1~),
 libsdl1.2-compat-shim (<< 1.2.64-4+exp1~),
Replaces:
 libsdl1.2-compat (<< 1.2.64-4+exp1~),
 libsdl1.2-compat-shim (<< 1.2.64-4+exp1~),
Description: SDL 1.2 binary compatibility library wrapping SDL 2.0
 This package contains sdl12-compat, a binary compatible API for programs built
 against SDL 1.2, but using SDL 2.0.
 .
 This package replaces the classic SDL 1.2 library with the SDL 2.0
 compatibility layer, so that all SDL 1.2 program will use it.
 .
 If you are writing new code, please target SDL 2.0 directly instead
 of using this layer.

Package: libsdl1.2-compat-dev
Section: oldlibs
Architecture: any
Multi-Arch: same
Depends:
 libsdl1.2-dev (>= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Description: SDL 1.2 binary compatibility library - transitional development files
 sdl12-compat provides a binary compatible API for programs built
 against SDL 1.2, but using SDL 2.0.
 .
 If you are writing new code, please target SDL 2.0 directly instead
 of using this layer.
 .
 This transitional package depends on a version of libsdl1.2-dev
 new enough that it actually contains sdl12-compat development files.

Package: libsdl1.2-compat-shim
Section: oldlibs
Architecture: any
Multi-Arch: same
Depends:
 libsdl1.2-compat (>= ${binary:Version}),
 libsdl1.2debian (>= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: libsdl1.2debian replacement using SDL 2.0 - transitional package
 sdl12-compat provides a binary compatible API for programs built
 against SDL 1.2, but using SDL 2.0.
 .
 If you are writing new code, please target SDL 2.0 directly instead
 of using this layer.
 .
 This transitional package depends on a version of libsdl1.2debian
 new enough that it actually contains sdl12-compat.

Package: libsdl1.2-compat-tests
Section: misc
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Description: SDL 1.2 binary compatibility library - tests
 libsdl1.2-compat provides a binary compatible API for programs built
 against SDL 1.2, but using SDL 2.0.
 .
 If you are writing new code, please target SDL 2.0 directly instead
 of using this layer.
 .
 This package provides manual test programs.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/default.mk

# used in dh_install, dh_link
export ABI_VERSION=1.2.69

%:
	dh $@ -Scmake+ninja

# There are no automated tests in this package
override_dh_auto_test:

execute_after_dh_install:
	chrpath -d debian/libsdl1.2-compat-tests/usr/libexec/installed-tests/libsdl1.2-compat/checkkeys
	chrpath -d debian/libsdl1.2-compat-tests/usr/libexec/installed-tests/libsdl1.2-compat/graywin
	chrpath -d debian/libsdl1.2-compat-tests/usr/libexec/installed-tests/libsdl1.2-compat/loopwave
	chrpath -d debian/libsdl1.2-compat-tests/usr/libexec/installed-tests/libsdl1.2-compat/test*
	chrpath -d debian/libsdl1.2-compat-tests/usr/libexec/installed-tests/libsdl1.2-compat/torturethread

# debhelper >= 13.4 makes all of /usr/libexec executable, which is not
# quite right for installed-tests (#1006927)
override_dh_fixperms:
	dh_fixperms -Xusr/libexec/installed-tests
	chmod --recursive a+rX,u+w,og-w debian/*-tests/usr/libexec/installed-tests

## sdl12-compat 1.2.69~git20251029~eee7543

=== debian/changelog ===
sdl12-compat (1.2.69~git20251029~eee7543-1) experimental; urgency=medium

  * New upstream snapshot, commit release-1.2.68-78-geee7543
    (release candidate for 1.2.70)
  * d/p/test-Optionally-install-manual-tests-for-as-installed-tes.patch:
    Add proposed patch teaching the upstream build system to install tests
  * d/rules, d/control, d/libsdl1.2-compat-tests.install:
    Let the upstream build system install the manual tests.
    This means CMake will clean up the RPATHs for us, so we no longer
    need chrpath.

 -- Simon McVittie <smcv@debian.org>  Thu, 30 Oct 2025 13:37:59 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
  Antoine Le Gonidec <vv221@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- chrpath,
  cmake,
  libglu1-mesa-dev,
  libsdl2-dev,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/default.mk

# used in dh_install, dh_link
export ABI_VERSION=1.2.70

%:
	dh $@ -Scmake+ninja

configure_options := \
	-DSDL12COMPAT_INSTALL_TESTS=ON \
	$(NULL)

override_dh_auto_configure:
	dh_auto_configure -- $(configure_options)

# There are no automated tests in this package
override_dh_auto_test:

# debhelper >= 13.4 makes all of /usr/libexec executable, which is not
# quite right for installed-tests (#1006927)
override_dh_fixperms:
	dh_fixperms -Xusr/libexec/installed-tests
	chmod --recursive a+rX,u+w,og-w debian/*-tests/usr/libexec/installed-tests

## sdl12-compat 1.2.70

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #        cmake -DSDL2_INCLUDE_DIR=/opt/SDL2/include/SDL2 [other stuff]
 
 cmake_minimum_required(VERSION 3.0.0...4.1)
-project(sdl12_compat VERSION 1.2.69 LANGUAGES C)
+project(sdl12_compat VERSION 1.2.70 LANGUAGES C)
 
 option(SDL12TESTS "Enable to build SDL-1.2 test programs" ON)
 option(SDL12DEVEL "Enable installing SDL-1.2 development headers" ON)
@@ -33,7 +33,7 @@
   # Xcode project file uses 1.0.0, but it's more compatible to use the
   # higher version.
   set(DYLIB_COMPAT_VERSION 12.0.0 CACHE STRING "library compatibility version")
-  set(DYLIB_CURRENT_VERSION 12.69.0 CACHE STRING "library current version")
+  set(DYLIB_CURRENT_VERSION 12.70.0 CACHE STRING "library current version")
   include_directories("/opt/X11/include")  # hack.
   if(CMAKE_VERSION VERSION_LESS 3.9)
   else()

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -19,6 +19,11 @@
     endif()
 endif()
 
+option(SDL12COMPAT_INSTALL_TESTS "Install manual tests into libexecdir" OFF)
+
+set(SDL12COMPAT_TEST_EXECUTABLES)
+set(SDL12COMPAT_TEST_RESOURCE_FILES)
+
 if(NOT (WIN32 OR APPLE OR CYGWIN OR HAIKU OR BEOS))
     find_library(MATH_LIBRARY m)
 endif()
@@ -37,6 +42,7 @@
 
 macro(test_program _NAME _SRCS)
     add_executable(${_NAME} ${_SRCS})
+    list(APPEND SDL12COMPAT_TEST_EXECUTABLES ${_NAME})
     target_include_directories(${_NAME} PRIVATE "include/SDL")
     target_link_libraries(${_NAME} PRIVATE SDL::SDLmain SDL::SDL)
     # Turn off MSVC's aggressive C runtime warnings for the old test programs.
@@ -95,4 +101,16 @@
 
 foreach(fname "icon.bmp" "moose.dat" "picture.xbm" "sail.bmp" "sample.bmp" "sample.wav" "utf8.txt")
     file(COPY "${CMAKE_CURRENT_SOURCE_DIR}/${fname}" DESTINATION "${CMAKE_CURRENT_BINARY_DIR}")
+    list(APPEND SDL12COMPAT_TEST_RESOURCE_FILES "${fname}")
 endforeach(fname)
+
+if(SDL12COMPAT_INSTALL_TESTS)
+    install(
+        TARGETS ${SDL12COMPAT_TEST_EXECUTABLES}
+        DESTINATION ${CMAKE_INSTALL_LIBEXECDIR}/installed-tests/SDL12_compat
+    )
+    install(
+        FILES ${SDL12COMPAT_TEST_RESOURCE_FILES}
+        DESTINATION ${CMAKE_INSTALL_LIBEXECDIR}/installed-tests/SDL12_compat
+    )
+endif()

=== debian/changelog ===
sdl12-compat (1.2.70-2) unstable; urgency=medium

  * d/patches: Add post-release bug fixes up to release-1.2.70-3-gb667924.
    In particular this should fix the ci.debian.net regressions in
    libsdl-perl and onscripter.

 -- Simon McVittie <smcv@debian.org>  Mon, 03 Nov 2025 16:17:58 +0000

sdl12-compat (1.2.70-1) unstable; urgency=medium

  * New upstream release
  * d/watch*: Update
  * d/gbp.conf: Merge from upstream release tag when importing
  * d/gbp.conf, d/control: Revert branch changes made for snapshots
  * d/p/test-Optionally-install-manual-tests-for-as-installed-tes.patch:
    Drop patch, applied upstream
  * d/libsdl1.2debian.symbols: Require 1.2.70 for new symbols
  * Remove transitional packages.
    They were released in Debian 13 and Ubuntu 24.04 LTS, and we do not
    support skipping a major release, so they have served their purpose
    for smooth upgrades.
    Nothing in Debian depends on libsdl1.2-compat or
    libsdl1.2-compat-shim.
    A few packages build-depend on libsdl1.2-compat-dev, but libsdl1.2-dev
    Provides that name.
  * d/libsdl1.2debian.install, d/rules: Stop tracking ABI version
    explicitly.
    Now that libsdl1.2-compat no longer exists, we can use a wildcard
    instead of needing to hard-code the specific ABI minor version.
  * d/salsa-ci.yml: Add

 -- Simon McVittie <smcv@debian.org>  Fri, 31 Oct 2025 16:56:04 +0000

=== debian/control ===
--- 
+++ 
@@ -16,29 +16,8 @@
 Standards-Version: 4.7.2
 Section: libs
 Homepage: https://github.com/libsdl-org/sdl12-compat
-Vcs-Git: https://salsa.debian.org/sdl-team/sdl12-compat.git -b debian/snapshots
+Vcs-Git: https://salsa.debian.org/sdl-team/sdl12-compat.git
 Vcs-Browser: https://salsa.debian.org/sdl-team/sdl12-compat
-
-Package: libsdl1.2-compat
-Section: oldlibs
-Architecture: any
-Multi-Arch: same
-Depends:
- libsdl1.2debian (>= ${binary:Version}),
- ${misc:Depends},
- ${shlibs:Depends},
-Pre-Depends:
- ${misc:Pre-Depends},
-Description: SDL 1.2 binary compatibility library - transitional package
- sdl12-compat provides a binary compatible API for programs built
- against SDL 1.2, but using SDL 2.0.
- .
- If you are writing new code, please target SDL 2.0 directly instead
- of using this layer.
- .
- This transitional package provides symbolic links to the library in a private
- location, matching the way it was used before it was Debian's default
- implementation of the SDL 1.2 ABI.
 
 Package: libsdl1.2-dev
 Section: libdevel
@@ -100,45 +79,6 @@
  If you are writing new code, please target SDL 2.0 directly instead
  of using this layer.
 
-Package: libsdl1.2-compat-dev
-Section: oldlibs
-Architecture: any
-Multi-Arch: same
-Depends:
- libsdl1.2-dev (>= ${binary:Version}),
- ${misc:Depends},
- ${shlibs:Depends},
-Pre-Depends:
- ${misc:Pre-Depends},
-Description: SDL 1.2 binary compatibility library - transitional development files
- sdl12-compat provides a binary compatible API for programs built
- against SDL 1.2, but using SDL 2.0.
- .
- If you are writing new code, please target SDL 2.0 directly instead
- of using this layer.
- .
- This transitional package depends on a version of libsdl1.2-dev
- new enough that it actually contains sdl12-compat development files.
-
-Package: libsdl1.2-compat-shim
-Section: oldlibs
-Architecture: any
-Multi-Arch: same
-Depends:
- libsdl1.2-compat (>= ${binary:Version}),
- libsdl1.2debian (>= ${binary:Version}),
- ${misc:Depends},
- ${shlibs:Depends},
-Description: libsdl1.2debian replacement using SDL 2.0 - transitional package
- sdl12-compat provides a binary compatible API for programs built
- against SDL 1.2, but using SDL 2.0.
- .
- If you are writing new code, please target SDL 2.0 directly instead
- of using this layer.
- .
- This transitional package depends on a version of libsdl1.2debian
- new enough that it actually contains sdl12-compat.
-
 Package: libsdl1.2-compat-tests
 Section: misc
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -7,9 +7,6 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 include /usr/share/dpkg/default.mk
-
-# used in dh_install, dh_link
-export ABI_VERSION=1.2.70
 
 %:
 	dh $@ -Scmake+ninja

=== debian/tests/control ===
Tests:
 build,
Depends:
 build-essential,
 clang:native,
 libsdl1.2-compat-dev,
 pkg-config,
Restrictions:
 allow-stderr,
 superficial,

Tests:
 smoke,
Depends:
 libsdl1.2-compat-tests,
Restrictions:
 allow-stderr,
 superficial,

=== debian/watch ===
Version: 5

# Upstream releases official source tarballs, so we use
# those in preference to git tags
Source: https://github.com/libsdl-org/sdl12-compat/tags
Matching-Pattern: .*/releases/tag/(?:release)-?@ANY_VERSION@
Compression: gz
Download-Url-Mangle: s#/tag/#/download/#;s#((?:prerelease|preview|release)-?@ANY_VERSION@)$#$1/sdl12-compat-$2.tar.gz#
Dversion-Mangle: s/[+~](?:ds|dfsg)[0-9]*$//;s/\+(?:git)?[0-9]+(?:\+g[0-9a-f]*)?$//
Filename-Mangle: s#(?:prerelease|preview|release)-?@ANY_VERSION@#sdl12-compat-$1.tar.gz#
Pgp-Mode: auto

## sdl12-compat 1.2.72

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #        cmake -DSDL2_INCLUDE_DIR=/opt/SDL2/include/SDL2 [other stuff]
 
 cmake_minimum_required(VERSION 3.0.0...4.1)
-project(sdl12_compat VERSION 1.2.70 LANGUAGES C)
+project(sdl12_compat VERSION 1.2.72 LANGUAGES C)
 
 option(SDL12TESTS "Enable to build SDL-1.2 test programs" ON)
 option(SDL12DEVEL "Enable installing SDL-1.2 development headers" ON)
@@ -33,7 +33,7 @@
   # Xcode project file uses 1.0.0, but it's more compatible to use the
   # higher version.
   set(DYLIB_COMPAT_VERSION 12.0.0 CACHE STRING "library compatibility version")
-  set(DYLIB_CURRENT_VERSION 12.70.0 CACHE STRING "library current version")
+  set(DYLIB_CURRENT_VERSION 12.72.0 CACHE STRING "library current version")
   include_directories("/opt/X11/include")  # hack.
   if(CMAKE_VERSION VERSION_LESS 3.9)
   else()
@@ -243,7 +243,7 @@
     install(FILES ${CMAKE_CURRENT_BINARY_DIR}/libSDL${SOPOSTFIX}${SOEXT} DESTINATION "${CMAKE_INSTALL_LIBDIR}")
   endif()
 
-  install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/sdl.m4" DESTINATION "${CMAKE_INSTALL_FULL_DATAROOTDIR}/aclocal")
+  install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/sdl.m4" DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/aclocal")
 endif()
 
 if(STATICDEVEL AND SDL12DEVEL)

=== debian/changelog ===
sdl12-compat (1.2.72-1) unstable; urgency=medium

  * New upstream release
  * Drop patches that were included in the upstream release

 -- Simon McVittie <smcv@debian.org>  Wed, 03 Dec 2025 14:56:09 +0000

sdl12-compat (1.2.70-3) unstable; urgency=medium

  * d/p/Revert-Don-t-include-glu.h-by-default.patch:
    Add patch from upstream to include <GL/glu.h> as was historically done,
    reverting a change in 1.2.70 that caused several older games to FTBFS
    (Closes: #1120174, #1120175, #1120181, #1120183, #1120186, #1120195)
    (Closes: #1120196, #1120199, #1120207, #1120218, #1120224, #1120225)

 -- Simon McVittie <smcv@debian.org>  Thu, 06 Nov 2025 21:43:09 +0000

## sdl12-compat 1.2.74

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #        cmake -DSDL2_INCLUDE_DIR=/opt/SDL2/include/SDL2 [other stuff]
 
 cmake_minimum_required(VERSION 3.0.0...4.1)
-project(sdl12_compat VERSION 1.2.72 LANGUAGES C)
+project(sdl12_compat VERSION 1.2.74 LANGUAGES C)
 
 option(SDL12TESTS "Enable to build SDL-1.2 test programs" ON)
 option(SDL12DEVEL "Enable installing SDL-1.2 development headers" ON)
@@ -33,7 +33,7 @@
   # Xcode project file uses 1.0.0, but it's more compatible to use the
   # higher version.
   set(DYLIB_COMPAT_VERSION 12.0.0 CACHE STRING "library compatibility version")
-  set(DYLIB_CURRENT_VERSION 12.72.0 CACHE STRING "library current version")
+  set(DYLIB_CURRENT_VERSION 12.73.0 CACHE STRING "library current version")
   include_directories("/opt/X11/include")  # hack.
   if(CMAKE_VERSION VERSION_LESS 3.9)
   else()

=== debian/changelog ===
sdl12-compat (1.2.74-2) unstable; urgency=medium

  [ Simon McVittie ]
  * d/p/Revert-video-Don-t-tear-everything-down-in-SDL_SetVideoMo.patch:
    Temporarily revert an upstream change that addressed a regression when
    using sdl2-compat with SDL 3.4.x, but regresses "classic" SDL2. We can
    put this back when a better solution is found, or when we are ready to
    switch to sdl2-compat as the default implementation of SDL 2.
    (Mitigates: #1127514; Closes: #1127025)

  [ Antoine Le Gonidec ]
  * Drop myself from Uploaders

 -- Simon McVittie <smcv@debian.org>  Sat, 21 Feb 2026 19:06:49 +0000

sdl12-compat (1.2.74-1) unstable; urgency=medium

  * New upstream release
  * d/control: Standards-Version: 4.7.3
    - Remove Priority field, no longer needed
  * d/upstream-signing-key.asc: Accept Sam's new signing key

 -- Simon McVittie <smcv@debian.org>  Wed, 04 Feb 2026 18:23:07 +0000

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,9 @@
 Source: sdl12-compat
 X-Style: black
-Priority: optional
 Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
 Uploaders:
  Simon McVittie <smcv@debian.org>,
  Stephen Kitt <skitt@debian.org>,
- Antoine Le Gonidec <vv221@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
  cmake,
@@ -13,7 +11,7 @@
  libsdl2-dev,
  libx11-dev,
  ninja-build,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Section: libs
 Homepage: https://github.com/libsdl-org/sdl12-compat
 Vcs-Git: https://salsa.debian.org/sdl-team/sdl12-compat.git
